## qutim 0.2.60-maemo-15

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6 FATAL_ERROR)
if( COMMAND cmake_policy )
	cmake_policy( SET CMP0003 NEW )
endif(COMMAND cmake_policy )
project( meta-qutim )
set(QT_MIN_VERSION "4.6.0")

set( QUTIM_PATH "${CMAKE_CURRENT_SOURCE_DIR}/core" CACHE FILEPATH "Path to qutim sources")
set( QUTIM_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/core/libqutim/include" CACHE FILEPATH "Path to qutim headers")
set( QUTIM_LIBRARY libqutim CACHE FILEPATH "Path to qutim library")

set( QUTIM_ADDITIONAL_PATHS "protocols" "integrations" "plugins" )
set( QUTIM_ADDITIONAL_PATHS "${QUTIM_ADDITIONAL_PATHS}" CACHE INTERNAL "" FORCE )

add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/core/" "${CMAKE_CURRENT_BINARY_DIR}/core" )
add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/translations/" "${CMAKE_CURRENT_BINARY_DIR}/translations" )

# ADD_CUSTOM_TARGET(uninstall
#   "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== core/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 2.6 FATAL_ERROR)
IF (COMMAND cmake_policy)
	cmake_policy (SET CMP0003 NEW)
ENDIF (COMMAND cmake_policy)
PROJECT( qutim )
SET(QT_MIN_VERSION "4.6.0")

ADD_DEFINITIONS ( -DLIBQUTIM_LIBRARY )

if( UNIX )
	if( BSD )
		SET( CMAKE_THREAD_LIBS -pthread )
		SET( CMAKE_USE_PTHREADS ON )
		SET( CMAKE_EXE_LINKER_FLAGS -pthread )
	endif( BSD )
endif( UNIX )

SET (CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
SET (CMAKE_BUILD_RPATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
SET (CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
LIST (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
SET (QT_USE_QTNETWORK true)
SET (QT_USE_QTXML true)
SET (QT_USE_QTSCRIPT true)

SET (QUTIM_PLUGINS_DEST "lib/qutim/")
FIND_PACKAGE (Qt4 REQUIRED)

INCLUDE(CPackOptions.cmake.in)
INCLUDE(UseQt4)
INCLUDE(MacroEnsureVersion)
INCLUDE(QutIMMacros)

#simple hack for include dirs
macro(LIST_SUBDIRECTORIES retval curdir)
	file(GLOB sub-dir RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${curdir}/*)
	set(list_of_dirs "")
	foreach(dir ${sub-dir})
		#TODO fix IS DIRECTORY macro
		if (IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${curdir}/${dir})
			message(STATUS "Found 3rdparty dir: ${CMAKE_CURRENT_SOURCE_DIR}/${curdir}/${dir}")
		endif()
	endforeach()
	set(${retval} ${sub-dir})
endmacro()

LIST_SUBDIRECTORIES(3RDPARTY_INCLUDE_DIRS "3rdparty")

#Include X11, spike for freebsd
FIND_PACKAGE(X11)

INCLUDE_DIRECTORIES (${QT_QTGUI_INCLUDE_DIR}
	${QT_QTCORE_INCLUDE_DIR}
	${QT_QTXML_INCLUDE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${3RDPARTY_INCLUDE_DIRS}
	${X11_INCLUDE_DIR}
	.
		src
		include
	)

if( WIN32 )
	list(APPEND QUTIM_LIBS secur32 )
endif( WIN32 )

file( GLOB HEADERS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.h" )
file( GLOB SOURCES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp" )
file( GLOB SOURCES_MM RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.mm" )
list( APPEND SOURCE SOURCE_MM} )
file( GLOB FORMS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.ui" )
list( APPEND SOURCES "main.cpp" )

SET (RESOURCES
	qutim.qrc
	)

#TODO fix in future
if (MINGW)
	find_program( MINGW_WINDRES NAMES "mingw32-windres" "windres" )
	execute_process( COMMAND "${MINGW_WINDRES}"
		"-i" "${CMAKE_CURRENT_SOURCE_DIR}/qutim.rc" "-o" "${CMAKE_CURRENT_BINARY_DIR}/qutim_res.o" )
	LIST (APPEND SOURCES qutim_res.o)
else(MINGW)
	LIST (APPEND SOURCES qutim.rc)
endif(MINGW)

add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/libqutim/" "${CMAKE_CURRENT_BINARY_DIR}/libqutim")

find_package( QutIM REQUIRED )
include_directories( ${QUTIM_INCLUDE_DIR} )

REMOVE_DEFINITIONS ( -DLIBQUTIM_LIBRARY )

set( QUTIM_PATH ${CMAKE_CURRENT_SOURCE_DIR} CACHE FILEPATH "Path to qutim sources")
set( QUTIM_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR} CACHE FILEPATH "Path to qutim build directory")
option( QUTIM_COPY_PLUGINS_TO_BINARY_DIR "Copy plugins to qutim build directory" OFF )
set( QUTIM_LIBRARIES libqutim )

QT4_WRAP_CPP (MOC_SRCS ${HEADERS})
QT4_WRAP_UI (UIS_H ${FORMS})
QT4_ADD_RESOURCES (RCC ${RESOURCES})

# For Apple set the icns file containing icons
IF(APPLE)
  # set how it shows up in the Info.plist file
  SET(MACOSX_BUNDLE_ICON_FILE qutim.icns)
  # set where in the bundle to put the icns file
  SET_SOURCE_FILES_PROPERTIES(${CMAKE_CURRENT_SOURCE_DIR}/qutim.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
  # include the icns file in the target
  SET(SOURCES ${SOURCES} ${CMAKE_CURRENT_SOURCE_DIR}/qutim.icns)
ENDIF(APPLE)

set( QUTIM_ADDITIONAL_SOURCES "" CACHE INTERNAL "" FORCE )
set( QUTIM_ADDITIONAL_LIBRARIES "" CACHE INTERNAL "" FORCE )
add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/src/corelayers/" "${CMAKE_CURRENT_BINARY_DIR}/src/corelayers")
foreach( additional_path ${QUTIM_ADDITIONAL_PATHS} )
    add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/../${additional_path}/" "${CMAKE_CURRENT_BINARY_DIR}/../${additional_path}" )
endforeach( additional_path ${QUTIM_ADDITIONAL_PATHS} )

#QUTIM_ADD_OPTION(QUTIM_MOBILE_UI
#	"User interface for mobile devices like Nokia 5800"
#	"qutIM will be compiled with mobile ui"
#	OFF
#)

QUTIM_ADD_OPTION(QUTIM_SINGLE_PROFILE
	"Single profil by default" 
	"qutIM will be compiled without multiply profiles by default"
	ON
)
SET( QUTIM_GUI_TYPE "" CACHE STRING "qutIM GUI TYPE" )
IF( QUTIM_GUI_TYPE )
	MESSAGE(STATUS "qutIM will be compiled with ${QUTIM_GUI_TYPE} GUI type")
ENDIF()

ADD_EXECUTABLE (qutim
	${QUTIM_GUI_TYPE}
	${SOURCES}
	${HEADERS}
	${MOC_SRCS}
	${UIS_H}
	${RCC}
	${QUTIM_ADDITIONAL_SOURCES}
	)

if(MSVC)
	set(QUTIM_COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS} /W3")
	set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} /W3")
else()
	set(QUTIM_COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS} -Wall -Wextra")
	set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} -Wall -Wextra")
	if(NOT WIN32)
		set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} -fvisibility=hidden")
	endif(NOT WIN32)
endif()

set(QUTIM_COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS} -DQUTIM_CORE -DXDG_STATIC")
set_target_properties(qutim PROPERTIES COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS}")
set_target_properties(libqutim PROPERTIES COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS}")

qutim_target_link_libraries (qutim
	${QT_LIBRARIES}
	${QT_QTMAIN_LIBRARY}
	${QUTIM_LIBS}
	${QUTIM_ADDITIONAL_LIBRARIES}
	libqutim
	)

if( LANGUAGE )
	LANGUAGE_UPDATE( core ${LANGUAGE} "${CMAKE_CURRENT_SOURCE_DIR}" )
endif( LANGUAGE )

FILE(GLOB CMAKE_MODULES "${CMAKE_CURRENT_SOURCE_DIR}/cmake/*.cmake")

FILE (GLOB DEV_HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/libqutim/*.h")
FILE (GLOB DEV_HEADERS_EXCLUDE "${CMAKE_CURRENT_SOURCE_DIR}/libqutim/*_p.h")
LIST(REMOVE_ITEM DEV_HEADERS ${DEV_HEADERS_EXCLUDE})

INSTALL(FILES ${CMAKE_MODULES}
	DESTINATION share/cmake/Modules
		COMPONENT CoreDevel
)
INSTALL(TARGETS qutim
	RUNTIME DESTINATION bin
		COMPONENT Core
	BUNDLE DESTINATION .
		COMPONENT Core
)

QUTIM_ADD_ARTWORK_DIR(share/qutim)

IF(NOT WIN32)
	INSTALL(DIRECTORY share/applications share/icons share/pixmaps
		DESTINATION /usr/share
			COMPONENT Core
	)
ENDIF()

CPACK_ADD_COMPONENT(Core
	DISPLAY_NAME "Core"
	DESCRIPTION "TODO"
)
CPACK_ADD_COMPONENT(CoreDevel
	DISPLAY_NAME "Core Devel"
	DESCRIPTION "Common devel files"
)

#additional artwork sources
SET(QUTIM_ADDITIONAL_ART_PATH "" CACHE PATH "Path to additional artwork")
IF(NOT QUTIM_ADDITIONAL_ART_PATH STREQUAL "")
	QUTIM_ADD_ARTWORK_DIR(${QUTIM_ADDITIONAL_ART_PATH})
ENDIF()

CPACK_ADD_COMPONENT(Core
	DISPLAY_NAME "Core"
	DESCRIPTION "TODO"
)
CPACK_ADD_COMPONENT(CoreDevel
	DISPLAY_NAME "Core Devel"
	DESCRIPTION "Common devel files"
)

#small simple hack for install Qt dlls and plugins
IF(WIN32)
	SET(QUTIM_REQUIRED_DLL_DIR "" CACHE PATH "Path to Qt dll's and plugins. Note: you must add them yourself")
	FILE(GLOB dlls ${QUTIM_REQUIRED_DLL_DIR}/*)
	FOREACH(QUTIM_DLL ${dlls})
		IF(IS_DIRECTORY ${QUTIM_DLL})
			INSTALL(DIRECTORY ${QUTIM_DLL}
				DESTINATION bin
					COMPONENT Qt
			)
		ELSEIF(${QUTIM_DLL} MATCHES ".\\.dll")
			INSTALL(FILES ${QUTIM_DLL}
				DESTINATION bin
					COMPONENT Qt
			)
		ENDIF()
	ENDFOREACH()
	LIST(APPEND CPACK_COMPONENTS_ALL Qt)
	CPACK_ADD_COMPONENT(Qt
		DISPLAY_NAME "Qt Libraries"
		DESCRIPTION ""
	)
ENDIF(WIN32)

=== plugins/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6 FATAL_ERROR)
if( COMMAND cmake_policy )
	cmake_policy( SET CMP0003 NEW )
endif(COMMAND cmake_policy )
project( Plugins )
set(QT_MIN_VERSION "4.6.0")

if ( ${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR} )
	set(QUTIM_PATH "" CACHE FILEPATH "Path to qutim sources")
	set(QUTIM_BINARY_DIR "" CACHE FILEPATH "Path to qutim build directory")
	set(QUTIM_LIBRARY QUTIM_LIBRARY-NOTFOUND CACHE FILEPATH "Path to qutim library")
endif ( ${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR} )
if( QUTIM_BINARY_DIR )
	set( QUTIM_INCLUDE_DIR ${QUTIM_BINARY_DIR}/libqutim/include )
	set( QUTIM_LIBRARY_DIR ${QUTIM_BINARY_DIR}/libqutim/ )
endif( QUTIM_BINARY_DIR )

LIST (APPEND CMAKE_MODULE_PATH "cmake")
LIST (APPEND CMAKE_MODULE_PATH "${QUTIM_PATH}/cmake")

INCLUDE (MacroEnsureVersion)
find_package(Qt4 COMPONENTS QtCore QtGui)
find_package(QutIM REQUIRED)

file( GLOB PLUGINS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/*" )

foreach( PLUGIN ${PLUGINS} )
	if( IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}" AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}/CMakeLists.txt" )
		string( TOUPPER ${PLUGIN} PLUGIN_NAME)
		option( ${PLUGIN_NAME} "" ON )
		if( ${PLUGIN_NAME} )
			message( "+ plugin '${PLUGIN_NAME}' added to build" )
			add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}" "${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN}" ) 
		else( ${PLUGIN_NAME} )
			message( "- plugin '${PLUGIN_NAME}' will be skipped" )
		endif( ${PLUGIN_NAME} )
	endif( IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}" AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}/CMakeLists.txt" )
endforeach( PLUGIN )

=== protocols/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6 FATAL_ERROR)
if( COMMAND cmake_policy )
	cmake_policy( SET CMP0003 NEW )
endif(COMMAND cmake_policy )
project( Protocols )
set(QT_MIN_VERSION "4.6.0")

if ( ${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR} )
	set(QUTIM_PATH "" CACHE FILEPATH "Path to qutim sources")
	set(QUTIM_BINARY_DIR "" CACHE FILEPATH "Path to qutim build directory")
	set(QUTIM_LIBRARY QUTIM_LIBRARY-NOTFOUND CACHE FILEPATH "Path to qutim library")
endif ( ${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR} )
if( QUTIM_BINARY_DIR )
	set( QUTIM_INCLUDE_DIR ${QUTIM_BINARY_DIR}/libqutim/include )
	set( QUTIM_LIBRARY_DIR ${QUTIM_BINARY_DIR}/libqutim/ )
endif( QUTIM_BINARY_DIR )

LIST (APPEND CMAKE_MODULE_PATH "cmake")
LIST (APPEND CMAKE_MODULE_PATH "${QUTIM_PATH}/cmake")

INCLUDE (MacroEnsureVersion)
find_package(Qt4 COMPONENTS QtCore QtGui QtNetwork)
if ( ${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR} )
	set(QUTIM_PATH "" CACHE FILEPATH "Path to qutim sources")
	set(QUTIM_BINARY_DIR "" CACHE FILEPATH "Path to qutim build directory")
	set(QUTIM_LIBRARY QUTIM_LIBRARY-NOTFOUND CACHE FILEPATH "Path to qutim library")
endif ( ${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR} )
if( QUTIM_BINARY_DIR )
	set( QUTIM_INCLUDE_DIR ${QUTIM_BINARY_DIR}/libqutim/include )
	set( QUTIM_LIBRARY_DIR ${QUTIM_BINARY_DIR}/libqutim/ )
endif( QUTIM_BINARY_DIR )

LIST (APPEND CMAKE_MODULE_PATH "cmake")
LIST (APPEND CMAKE_MODULE_PATH "${QUTIM_PATH}/cmake")
find_package( QutIM REQUIRED )

file( GLOB PROTOCOLS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/*" )

foreach( PROTOCOL ${PROTOCOLS} )
	if( IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${PROTOCOL}" AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${PROTOCOL}/CMakeLists.txt" )
		string( TOUPPER ${PROTOCOL} PROTOCOL_NAME)
		option( ${PROTOCOL_NAME} "" ON )
		if( ${PROTOCOL_NAME} )
			message( "+ protocol '${PROTOCOL_NAME}' added to build" )
			add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/${PROTOCOL}" "${CMAKE_CURRENT_BINARY_DIR}/${PROTOCOL}" ) 
		else( ${PROTOCOL_NAME} )
			message( "- protocol '${PROTOCOL_NAME}' will be skipped" )
		endif( ${PROTOCOL_NAME} )
	endif( IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${PROTOCOL}" AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${PROTOCOL}/CMakeLists.txt" )
endforeach( PROTOCOL )

=== translations/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6 FATAL_ERROR)

project( translations )

#include(MacroAddQutIMArtwork)
#find_package( QutIM REQUIRED )

file( GLOB LANGUAGES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*/*.ts" )
set(LANG_DIR "${CMAKE_CURRENT_BINARY_DIR}/languages")
file( MAKE_DIRECTORY ${LANG_DIR} )

foreach( LANGUAGE ${LANGUAGES} )
	string(REPLACE ".ts" "" LANGUAGE_NAME ${LANGUAGE})
	string(REGEX REPLACE "/*\\\\*[a-zA-Z0-9_-]+\\.ts" "" LANGUAGE_DIRECTORY_NAME ${LANGUAGE})
	file(MAKE_DIRECTORY "${LANG_DIR}/${LANGUAGE_DIRECTORY_NAME}")

	set(TS ${CMAKE_CURRENT_SOURCE_DIR}/${LANGUAGE})
	set(QM ${LANG_DIR}/${LANGUAGE_NAME}.qm)
	set(TRANSLATIONS ${TRANSLATIONS} ${TS})
	set(TRANSLATIONS_BINARY ${TRANSLATIONS_BINARY} ${QM})
	ADD_CUSTOM_COMMAND(
		OUTPUT    ${QM}
		DEPENDS   ${TS}
		COMMAND   ${QT_LRELEASE_EXECUTABLE}
		ARGS      -silent "${CMAKE_CURRENT_SOURCE_DIR}/${LANGUAGE}" -qm ${QM}
	)
endforeach( LANGUAGE )

ADD_CUSTOM_TARGET(translations ALL echo
  DEPENDS ${TRANSLATIONS_BINARY}
  )

QUTIM_ADD_ARTWORK(${LANG_DIR})

=== core/libqutim/CMakeLists.txt ===
# libqutim project for cmake
CMAKE_MINIMUM_REQUIRED( VERSION 2.6 )
PROJECT( libqutim )
SET( QUTIM_VERSION 0.2.60.0 )

# Search for source and headers in source directory (non-recursive)
FILE( GLOB SRC "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp" )
FILE( GLOB HDR "${CMAKE_CURRENT_SOURCE_DIR}/*.h" )
FILE( GLOB SRC_GAME "${CMAKE_CURRENT_SOURCE_DIR}/game/*.cpp" )
FILE( GLOB HDR_GAME "${CMAKE_CURRENT_SOURCE_DIR}/game/*.h" )

LIST( APPEND SRC ${SRC_GAME} )
LIST( APPEND HDR ${HDR_GAME} )

# Add JDns sources
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/jdns.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/jdns_mdnsd.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/jdns_packet.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/jdns_sys.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/jdns_util.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/qjdns_sock.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/qjdns.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/qjdns.h"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/qjdns_p.h" )

# Add K8JSON code
ADD_DEFINITIONS( -DK8JSON_INCLUDE_GENERATOR -DK8JSON_INCLUDE_COMPLEX_GENERATOR )
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/k8json/k8json.cpp" )
# LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/k8json/k8json.h" )

# Add qtdwm code
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/qtdwm/qtdwm.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/qtdwm/qtdwm.h" )

# Add SlidingStackedWidget
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/slidingstackedwidget/slidingstackedwidget.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/slidingstackedwidget/slidingstackedwidget.h" )

# Add flowlayout code
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/flowlayout/flowlayout.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/flowlayout/flowlayout.h" )

# Add itemdelegate
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/itemdelegate/itemdelegate.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/itemdelegate/itemdelegate.h" )

# Add avatarfilter
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/avatarfilter/avatarfilter.cpp" )
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/avatarfilter/avatariconengine.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/avatarfilter/avatarfilter.h" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/avatarfilter/avatariconengine_p.h" )

# MinGW special options
# Not sure if those applicable for linux
if(MINGW)
    ADD_DEFINITIONS( -DUNICODE -DQT_LARGEFILE_SUPPORT -DLIBQUTIM_LIBRARY -DQT_THREAD_SUPPORT )
    LIST( APPEND COMPILE_FLAGS "-mthreads" )
endif(MINGW)

# Require QT 4.6
SET( QT_MIN_VERSION "4.6.0" )

# Set QT modules
SET( QT_USE_QTNETWORK TRUE )
SET( QT_USE_QTGUI FALSE )

# Search for QT4
FIND_PACKAGE( Qt4 REQUIRED )

option(WITH_DOXYGEN "" OFF)

if(WITH_DOXYGEN)
    message("-- Checking for Doxygen...")
    find_package(Doxygen)
endif()

# Include QT4
INCLUDE( ${QT_USE_FILE} )

# Add include directories
INCLUDE_DIRECTORIES(
	.
	..
	../sdk02/
	../3rdparty/k8json/
	../3rdparty/jdns/
	../3rdparty/qtdwm/
	../3rdparty/qticonloader/
	${CMAKE_CURRENT_BINARY_DIR}
)

# Generate moc files
QUTIM_WRAP_CPP( MOC_SRC ${HDR})
# Add JDNS using separate cmake project
#ADD_SUBDIRECTORY( "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/" "${CMAKE_CURRENT_BINARY_DIR}/../3rdparty/jdns/" )
# Add Aero theme integration for Windows Vista and later
# ADD_SUBDIRECTORY( "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/qtdwm/" "${CMAKE_CURRENT_BINARY_DIR}/../3rdparty/qtdwm/")

# This project will generate library
ADD_LIBRARY( libqutim SHARED ${SRC} ${MOC_SRC} ${HDR} )

#if( CMAKE_COMPILER_IS_GNUCXX )
#	set_target_properties( libqutim PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}" )
#endif( CMAKE_COMPILER_IS_GNUCXX )

file( MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/include/qutim" )
file( GLOB_RECURSE QUTIM_INCLUDE_HEADERS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.h" )
foreach( header ${QUTIM_INCLUDE_HEADERS} )
    if( NOT ${header} MATCHES ".*_p\\.h" )
		if( NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/include/qutim/${header}" )
			file( WRITE "${CMAKE_CURRENT_BINARY_DIR}/include/qutim/${header}"
		"#include \"${CMAKE_CURRENT_SOURCE_DIR}/${header}\"
	"
			)
		endif( NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/include/qutim/${header}" )
	LIST(APPEND QUTIM_INSTALL_HEADERS ${header})
    endif( NOT ${header} MATCHES ".*_p\\.h" )
endforeach( header )
set( QUTIM_LIBRARIES libqutim CACHE INTERNAL "" )
set( QUTIM_INCLUDE_DIR "${CMAKE_CURRENT_BINARY_DIR}/include" CACHE INTERNAL "" )

# Set tagret properties
SET_TARGET_PROPERTIES ( libqutim PROPERTIES PREFIX "")

IF(APPLE)
	FIND_LIBRARY(CARBON_LIBRARY Carbon)
	FIND_LIBRARY(CORE_SERVICES_LIBRARY CoreServices )
	MARK_AS_ADVANCED (CARBON_LIBRARY
					 CORE_SERVICES_LIBRARY)
	LIST(APPEND EXTRA_LIBS ${CARBON_LIBRARY} ${APP_SERVICES_LIBRARY})
ENDIF (APPLE)

IF(WIN32)
	LIST(APPEND EXTRA_LIBS ws2_32)
ENDIF()


# Link with QT
qutim_target_link_libraries( libqutim ${QT_LIBRARIES} ${EXTRA_LIBS})

install( TARGETS libqutim 
	RUNTIME DESTINATION bin
		COMPONENT Core
		LIBRARY DESTINATION lib${LIB_SUFFIX}
		COMPONENT Core
		ARCHIVE DESTINATION lib${LIB_SUFFIX}
		COMPONENT CoreDevel
	BUNDLE DESTINATION library
)

INSTALL(FILES ${QUTIM_INSTALL_HEADERS}
	DESTINATION include/qutim
		COMPONENT CoreDevel
)

if(DOXYGEN_FOUND)
    add_subdirectory(doc)
    set(DOC_TARGET "doc")
    configure_file(doc/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
    configure_file(doc/DoxygenLayout.xml.in ${CMAKE_CURRENT_BINARY_DIR}/DoxygenLayout.xml @ONLY)
    add_custom_target(${DOC_TARGET} ALL
        ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
        COMMENT "Building documentation"
        SOURCE doc/Doxyfile.in doc/DoxygenLayout.xml)
    install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/doc/html ${CMAKE_CURRENT_BINARY_DIR}/doc/qch DESTINATION share/qutim/doc COMPONENT CoreDevel)
    add_dependencies(libqutim ${DOC_TARGET})
endif()

=== plugins/aspeller/CMakeLists.txt ===
find_package( ASPELL )
if( NOT ASPELL_FOUND )
	message( "ASPELL not found. Can't build aspeller" )
	return()
endif( NOT ASPELL_FOUND )

include_directories( ${ASPELL_INCLUDE_DIR} )

qutim_add_plugin( aspeller
	DISPLAY_NAME "ASpell checker"
	DESCRIPTION "Check spelling by ASpell library"
	LINK_LIBRARIES ${ASPELL_LIBRARIES}
)

=== plugins/clconf/CMakeLists.txt ===
qutim_add_plugin( clconf
	DISPLAY_NAME "Conferences in contact list"
	DESCRIPTION "Plugin adds your conferences to the contact list,"
)

=== plugins/connectionmanager/CMakeLists.txt ===
find_package(Qt4 COMPONENTS QtNetwork )
qutim_add_plugin( connectionmanager
	DISPLAY_NAME "ConnectionManager"
	DESCRIPTION ""
)

=== plugins/dbusnotifications/CMakeLists.txt ===
FIND_PACKAGE( Qt4 COMPONENTS QtDBus)
if(NOT QT_QTDBUS_FOUND)
	message(STATUS "Cannot build DBusNotifications")
	return()
endif()

# org.freedesktop.Notifications
qt4_add_dbus_interface(DBUS_SRC
	org.freedesktop.Notifications.xml
	notification
)

qutim_add_plugin(dbusnotifications ${DBUS_SRC}
	DISPLAY_NAME "Dbus notifications"
	DESCRIPTION "Notification system, based on Freedesktop"
	LINK_LIBRARIES ${QT_QTDBUS_LIBRARY}
	INCLUDE_DIRS ${QT_QTDBUS_INCLUDE_DIR}
)

=== plugins/emoedit/CMakeLists.txt ===
qutim_add_plugin( emoedit
	DISPLAY_NAME "EmoEdit"
	DESCRIPTION "Add emoticons to text edit widget"
)

=== plugins/floaties/CMakeLists.txt ===
qutim_add_plugin(floaties
	DISPLAY_NAME "Floaties"
	DESCRIPTION "Implementation of floaty contacts"
)

=== debian/changelog ===
qutim (0.2.60-maemo-15) fremantle; urgency=low

  * Fix aspell support
  * Many bugfixes in Oscar and IRC protocol
  * Fix mail.ru account create

 -- Eugene Degtyarev <degtep@gmail.com>  Sat, 15 Jan 2011 20:30:19 +0300

=== debian/control ===
Source: qutim
Section: user/network
Priority: extra
Maintainer: Eugene Degtyarev <degtep@gmail.com>
Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev,libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-dev,libqca2-plugin-ossl,aspell,libaspell-dev
Standards-Version: 3.7.2

Package: qutim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-plugin-ossl,aspell,aspell-en
Description: qutIM - is powerful instant messenger
 qutIM is crossplatform multiprotocol instant messengrer with module-based architecture. Protocols' support can be provided by several plugins, some of them are our own implementations of protocols, and some of them uses 3rd party libraries and technologies. Every plugin may be disabled through graphic interface.
 Supported protocols: Oscar(ICQ), Jabber, IRC, Vkontakte, Mail.ru(MRIM)
 Supported langugages: En, Ru, Ua, Cz, De
XSBC-Maemo-Display-Name: qutIM
XSBC-Bugtracker: https://launchpad.net/qutim
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAfdEVY
 dFNvZnR3YXJlAFBhaW50Lk5FVCA/Pz8/Pz8gMy41LjJ5rpbCAAANpklEQVRo
 Q81ZCVSUV5bunqV75sx2es70TDyTaHAhsheCEkTZohnHTjrdneh0ojFJaxKX
 uICIsgkIggRQFBTHSNAQ6diuqEFFlGKHAgEB2UG2EtmhFjbFb773s8Rj26mC
 EM/UOd/5i+K9d7+7vHvve/9PfvKcP729vT8jHFSq3mNqleobfv/Nc6bww8SR
 sJWqtzdKo1bVEPf5dyzxbz9s1ecwmyQt1arerwb61N1ajQo1ja0oq2uBWt0L
 /u/Yc6AwcREk9reELXFqsE8zSPK4S9IRCaVw8k/Fr0OzUdnYhn6tulV4ZuIS
 fqQZJPM3xHLG+Vlae3iQxAurlAg5V4xlQZmYt1sBh7BqLAiuRExKI/o0kheC
 fyQ6+i9LEj8lljEsbtDaWg3Do7jmPnxO3cbrezMg81FgUWgVXjusxNKj7XA+
 3Ip3omvQ0t4Nhlc1587QX9oUjqTgfxDEafFbDwc0EMTzypvhG18Ae79UzPfP
 x8LPK+EcpcSS6DYsOdoxguh2LN5/D/GZTRiil7jGpimkpXspCvw58R6J32Ac
 Q2zO1KJ6eH19m8TTYOWbD3uGivOhZrx2pFUivISWH4FQpA12EUqsPVGDji7J
 C+Vc7+91S/6BI0aJryLhHIbKoKq3B+nFDdhyPBeL/dJh4a2AHUNFEHc+/IDk
 2/AaLS89n4Jj1AM4hNfiSr4SjwYkL7z7A+n95elc/JfEhyxAd4YHteii1W4V
 1OOzYzmw8ZbD2k+EShWchMUFcca4sLwuLAhtwI7Tteju7mH4qeRTrgBJ/yvh
 wlApYjpEFwVdyq4m8Vws8Bohvpih4niwkXHeQjyQLC82qfORdjhFd8LhSAcc
 DnfA8UgnnKM7+Hvb6JgHcIxUwjGsEtkVDzCgVQ1S1ltTosQo8R19WnX1gFYQ
 78bFrCp8dChTIm7hk4dFYVVwPNQEp8j7cIq6L5G2j2qDbdg9LNpXjEXuF7Dc
 LRard5/ER/5x+N2uE3BwiYOdfxYWhtXB7qASTlTGJrQO/hdqpATASh0vMtqk
 leDk/yTctGpVw2OGSktbJy5mVuG9cG5MjxTM882TsoqwuOMhWk9YkJCIhDdh
 sU8y1gfH4/T5S2hoaMBAfx8G+7UYIgb5vYeGSM/IhO/BOLzhdwVWAcWwj2So
 hZehvKFNhJGG8i0mrAAnGfSqev0Y43UP+zW439qJuJtlWB3BjbnzFkPlNvN4
 JRwO1JN88wh5xruAEy0/P+AOVnrH4ebNZAw/HIA+n3vV5fCNjMerHklYEFqP
 zy/X4mG/tJnD9FaAg/+J+FSrVitFOmxp7cCX10rwzudyyEhcJkKFm9OexB0i
 muBA8g4HxXMEjgwf66ByrPGJQUP1XYn348eP8ejRI52QBj8aROSxkzB3u4G3
 DlehVtnB9kLVIyJBLyU4MIhW7xIWj71eiuUByZLFLXczVEIqYL+/DvYRjX8R
 tuENeN3rIoqLCiQ+Q0NDE4JQdnhAiy3BJ2DqU8j24t5YSvXVS4E+jTpfFKFD
 CUWYvfmqlFXsQsqxOLyOlbKeChAHGvh8Bg40YkHQXXiGxUjkBwcHJwW6DApF
 Liy2JeD9LyrQTGP2aVRlNO4vdCqhVqsS6DKcy6iBuVc2i1A1FoUzi5D4Ipb6
 74Mdx9gGFODrP/6JHIbR198/KfQPDKC3pxuL1kdBFlCGy4omDPSpxF74VKcC
 HPQ2ta0UWq+OLsa8wAqmRxJnmtMFOyo6f3cOYr/6ekSBvr5JYYCKd3W0Y+G6
 CFgFVeHj4yXo6ekBa08K+f3L9yohBhCBopR/kVwDmV8hFobWME/X6gbbAAuP
 dGzyjcTw0AA0Gg0PKeoJY2hoENeuJ8FyEzPSviq8GlgEeXGzCCPhhWX6eOEF
 ZqCumqY2vBl2G1aBZcz11XpBNG2Wa0JxLTFR5B+JvEql0hti33S1t2LlJj+Y
 ul6H7b5KWO4pxdaTJaIyCwUS9CpsHBQqcnDQ+TLIfAthG1KlF2z2lsBw/Rks
 fncn0lJT8Hj4ITSs3CIEvg+9VFKk2lZlI7Z67YPBynBY+eRKMq33lsMx6DZy
 ypWiLjwkt/n6eMGSVbDv7r1WLA5QYMHeMrqzUgeqmIVoMa9MGKyKhuyNDYg4
 fAwN9bVMpYOSN7pZeUUbIp5SXPO3AWnTdiHx2yt4e507XnzDG+auibAJvDMu
 z8S7EEEXytHPMOJe+FqnAmIA+5A4LfsRzz+WwNy7ADbBFUT5MzGfxG388rDU
 +wqc3c/CbEM8pv02FC84rIf9is/g7rMXFxMuQdnUJPobaZPW1tZCniLHgYNR
 eHutG+a8vh7T3vSH6ZYLsPZVwCaobFzWPIbR0uA8VNS3MpTUSnrBVKcSHPQr
 nmH7Mu82051ZsA4spYXL/gzWQRVY4JOO46evQt3dDk1PJy4lJuO/Nh3ASyvC
 MW25N37huBl2v1uPpoY6dLa3YIPLLrxk81u87LQWL77ugmm/8sbM94/C3OVb
 WPGcvGCvkHV3XJYNvxt7KhB9vUryArkF6FRADGAYpQmXb44pxFyPvJGFn4I5
 94hrZCKG+7px6koavjybhO7ODlRXV2PJxgjM/sMJvMyY/vzgUXqgHhtcffAf
 Thth8Pv9mPN+NF75+Cta/RIsPdJg7X8b8wNLninH0r8Iy0NycZ8NJbuFWirx
 sk4lOOiD4UENLmTXSrFt6X8H1gEl47AKKJXcnZSSgYKiEpitPYYXP4jDxn3x
 6FMxrm9lwfDDGDh/5I/9+/dj2ZodeGGZO0mfgvn265CRtCU3q7VfAaz3FI+u
 O/b8Ts6IzGKYeeYgLqUa4naD3D7RR4Gf0QvlHV1dWHkgByaeeRREJUYxb08J
 HLyuofV+E768IMfLH56AyQ45jFxvIf5KBrrblHjH8yRmrT4Mw3fDMX3lAczd
 cBqWnhmw8i9k+ywMIggTQoFxfCfjSXnGnvn4/UGFlAjEaZBK/FwfJdYPsaWO
 vVEB050ZmOdXhHl0p4DMvxiveZxHN+N6X+w1zPhDPMzckmHuW4R3fM/gobYH
 wTFX8NKqL2C4Lk4KFZkn74NYIK3oTavRdcbW0/W0YLjKPDIYEXUQR1kq8D/E
 X+uqzjOobbXoUJcGpMGMB/V5dLkgIfO7A+dd59HT0YrQk1TgQ8bz9hvShrN2
 T4SyuRFxCamY/t4RGG+5DAuvLGne2PyR7xPD7B1Z2HQ8H91Mw2KPUgFLfbwQ
 Ipq8qMulmOOaCkvf2xJkvgWw5QGkvq4W56+nYxbj3WjzJbzlcwaObt+guKSE
 oZSG6auOwtg1ibcUuZxXSBSMrzG2lr5Pc55JLD3kSCtuZJNH06p69+ujgAUH
 t4j7TPvdcph45EK2Ox8WhNmuTJw4l4TerjYs3RYDs4+PozBfgdzCUtyrrUJY
 7EgImYwqINtNxTlvUvChTGL6Fjkir5RJ/RHb/zSdCogBvGyKE/2IX3whDLal
 0Jp5EubuzMWKgEvQdLfhakoObNeGY3twjHAvHvWr8NHuLzBtVSxMXK6yRc8Z
 nzc2X9+nMY32yq5c1olcuMWVomL0zEwPROmlAGNtEc/HDzNKGjHf4yaMdmWz
 QitgKpRwvYmQWDZwj7R4cF8JuTxVUkB84i8kwXh1BAw3JsBsZxrn5E4AChiR
 +Ew33lz4k/ipu8iregBeMgjLi2uXEOJFfRX4K2p7TVTCT49kcS/IYc68LGDi
 lQez7UlwOXQZ36bkIiXrNo6fTcbFpAwMazvohRjMWHcaJm4p43PG5j7rKfK9
 KTFrR6ZE3PdMOXIrWqT83zdyX3SO+G+9iD85SEwSd/tJ+XUwdkmC6a4sFpds
 CaZeCsziBjfanACLrRdh8Mk5yLaexweBZ2HnfoleSmYaZhYbHf+sp6lHNgzd
 M2FI4q/65SD4QgXu1Ir+R8WrGKkTPUMsJv5uwuTFBE78Z3HzLDrJFaFyGNIL
 ph5ZkiISSEDEqtEuesUjB0Y7szGbShmzfphys4/gifFPfJ/jloGZLmlw2puD
 wPPlfOHRLm3SQa26m7lGELeZFOmnJ3GhTewIcTatCjM/uwqTcWKC5JMYIfzd
 /8cUGBvD/1Exox0ZTAqpWBqUg/2XK6XNKc4i3ENayjpG2E4J8bFFuOAveWKr
 aGrpwJt7b8Fgy00Yu2dMCHNJepZrmlRTnPZkSV1mdVO7dIXCtcVt3P8SZjqr
 7GQ148J7RCmPvFyEGRsTacU0KpCuE0YcY7BNjlkuKVi+LxuHr1ZK1ybiEo03
 Dy3ilSvXNpwsL73nidRFoT2VDbzT976OmVuFF4QSz4ZQcM52OWayfvwmLAfH
 b1Sh+UEnQ4UHf5WqmdeYQVzzFb0JTMVACox8xNdIPnG5MNh4FUZuzEBPwZAh
 YrA1BYa0+Bsh2fgmvY7Eu9iIacQGbeYaHsT0qeAz4TUoWMZiMlBcrYTptsvM
 SLcw100u4RVa+6XPkqXfVrAN/ya9Fp1dPVI6ZB4XhxEvsZcmLHSqJzBm48Q9
 /rZjmZixIZG5PkXa1HO23cSaSAXOZPAIyd5dZBW2IqUk7Ub8+1TzmPR6JPNr
 vqkZSL9TjzmbEjB7axLWRClwNb9Belkn3ikwHVbwevmT/1fEn0ipP+UmTBO9
 +Z9SK5CouCcOGaLkDzG8Cvl9HfGPk7bQ85hIggt5VVIqihtfQYl7m1v87QPi
 x39NOlUKkuw0YolQhvj+C9ipEvrUOv8HhO7WofzYHNEAAAAASUVORK5CYII=
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	cmake -DCMAKE_INSTALL_PREFIX="/opt/qutim" .
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/qutim.sgml > qutim.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean  --exclude ./protocols/jabber/src/protocol/account/roster/jroster.cpp.orig

install: build
	dh_testdir
	dh_testroot
	dh_clean -k  --exclude ./protocols/jabber/src/protocol/account/roster/jroster.cpp.orig
	dh_installdirs


	# Add here commands to install the package into debian/qutim.
	$(MAKE) DESTDIR=$(CURDIR)/debian/qutim install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qutim 0.2.60-maemo-16

=== protocols/CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,7 @@
 
 LIST (APPEND CMAKE_MODULE_PATH "cmake")
 LIST (APPEND CMAKE_MODULE_PATH "${QUTIM_PATH}/cmake")
+option ( QUTIM_ENABLE_ALL_PLUGINS "Enable plugins by default" ON )
 find_package( QutIM REQUIRED )
 
 file( GLOB PROTOCOLS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/*" )
@@ -39,7 +40,7 @@
 foreach( PROTOCOL ${PROTOCOLS} )
 	if( IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${PROTOCOL}" AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${PROTOCOL}/CMakeLists.txt" )
 		string( TOUPPER ${PROTOCOL} PROTOCOL_NAME)
-		option( ${PROTOCOL_NAME} "" ON )
+		option( ${PROTOCOL_NAME} "" ${QUTIM_ENABLE_ALL_PLUGINS} )
 		if( ${PROTOCOL_NAME} )
 			message( "+ protocol '${PROTOCOL_NAME}' added to build" )
 			add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/${PROTOCOL}" "${CMAKE_CURRENT_BINARY_DIR}/${PROTOCOL}" )

=== debian/changelog ===
qutim (0.2.60-maemo-16) fremantle; urgency=low

  * Add support for pidgin protocols
  * Some optimizations

 -- Eugene Degtyarev <degtep@gmail.com>  Wed, 19 Jan 2011 18:54:22 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Eugene Degtyarev <degtep@gmail.com>
-Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev,libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-dev,libqca2-plugin-ossl,aspell,libaspell-dev
+Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev,libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-dev,libqca2-plugin-ossl,aspell,libaspell-dev,pidgin-dev
 Standards-Version: 3.7.2
 
 Package: qutim
@@ -10,7 +10,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-plugin-ossl,aspell,aspell-en
 Description: qutIM - is powerful instant messenger
  qutIM is crossplatform multiprotocol instant messengrer with module-based architecture. Protocols' support can be provided by several plugins, some of them are our own implementations of protocols, and some of them uses 3rd party libraries and technologies. Every plugin may be disabled through graphic interface.
- Supported protocols: Oscar(ICQ), Jabber, IRC, Vkontakte, Mail.ru(MRIM)
+ Supported protocols: Oscar(ICQ), Jabber, IRC, Vkontakte, Mail.ru(MRIM) and all pidgin protocols
  Supported langugages: En, Ru, Ua, Cz, De
 XSBC-Maemo-Display-Name: qutIM
 XSBC-Bugtracker: https://launchpad.net/qutim

## qutim 0.2.60-maemo-17

=== debian/changelog ===
qutim (0.2.60-maemo-17) fremantle; urgency=low

  * Fix segfault at start

 -- Eugene Degtyarev <degtep@gmail.com>  Wed, 19 Jan 2011 22:10:08 +0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: user/network
 Priority: extra
 Maintainer: Eugene Degtyarev <degtep@gmail.com>
-Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev,libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-dev,libqca2-plugin-ossl,aspell,libaspell-dev,pidgin-dev
+Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev,libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-dev,libqca2-plugin-ossl,pidgin-dev,libidn11-dev
 Standards-Version: 3.7.2
 
 Package: qutim
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-plugin-ossl,aspell,aspell-en
+Depends: ${shlibs:Depends}, ${misc:Depends},libidn11,libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-plugin-ossl
 Description: qutIM - is powerful instant messenger
  qutIM is crossplatform multiprotocol instant messengrer with module-based architecture. Protocols' support can be provided by several plugins, some of them are our own implementations of protocols, and some of them uses 3rd party libraries and technologies. Every plugin may be disabled through graphic interface.
  Supported protocols: Oscar(ICQ), Jabber, IRC, Vkontakte, Mail.ru(MRIM) and all pidgin protocols

## qutim 0.2.60-maemo-18

=== core/libqutim/CMakeLists.txt ===
--- 
+++ 
@@ -35,6 +35,8 @@
 # Add SlidingStackedWidget
 LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/slidingstackedwidget/slidingstackedwidget.cpp" )
 LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/slidingstackedwidget/slidingstackedwidget.h" )
+LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/slidingstackedwidget/fingerswipegesture.cpp" )
+LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/slidingstackedwidget/fingerswipegesture.h" )
 
 # Add flowlayout code
 LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/flowlayout/flowlayout.cpp" )
@@ -67,7 +69,7 @@
 # Search for QT4
 FIND_PACKAGE( Qt4 REQUIRED )
 
-option(WITH_DOXYGEN "" OFF)
+option(WITH_DOXYGEN "" ON)
 
 if(WITH_DOXYGEN)
     message("-- Checking for Doxygen...")
@@ -97,7 +99,14 @@
 # ADD_SUBDIRECTORY( "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/qtdwm/" "${CMAKE_CURRENT_BINARY_DIR}/../3rdparty/qtdwm/")
 
 # This project will generate library
-ADD_LIBRARY( libqutim SHARED ${SRC} ${MOC_SRC} ${HDR} )
+
+SET(LIBQUTIM_TYPE "SHARED")
+IF(LIBQUTIM_BUILD_TYPE STREQUAL "STATIC")
+	SET(LIBQUTIM_TYPE "STATIC")
+	MESSAGE(STATUS "Libqutim will be linked staticaly")
+ENDIF()
+
+ADD_LIBRARY(libqutim ${LIBQUTIM_TYPE} ${SRC} ${MOC_SRC} ${HDR} ${SRC_MM})
 
 #if( CMAKE_COMPILER_IS_GNUCXX )
 #	set_target_properties( libqutim PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}" )
@@ -125,9 +134,12 @@
 IF(APPLE)
 	FIND_LIBRARY(CARBON_LIBRARY Carbon)
 	FIND_LIBRARY(CORE_SERVICES_LIBRARY CoreServices )
+	FIND_LIBRARY(COCOA_LIBRARY Cocoa)
 	MARK_AS_ADVANCED (CARBON_LIBRARY
-					 CORE_SERVICES_LIBRARY)
-	LIST(APPEND EXTRA_LIBS ${CARBON_LIBRARY} ${APP_SERVICES_LIBRARY})
+		CORE_SERVICES_LIBRARY
+		COCOA_LIBRARY
+	)
+	LIST(APPEND EXTRA_LIBS ${CARBON_LIBRARY} ${APP_SERVICES_LIBRARY} ${COCOA_LIBRARY})
 ENDIF (APPLE)
 
 IF(WIN32)

=== plugins/sdlsound/CMakeLists.txt ===
find_package( SDL_mixer )

if( NOT SDLMIXER_FOUND )
	message( "SDL mixer not found. Can't build sdlsound" )
	return()
endif()

qutim_add_plugin( sdlsound
	DISPLAY_NAME "SDL sound engine"
	DESCRIPTION "Sound engine based on Simple DirectMedia Layer"
	LINK_LIBRARIES ${SDLMIXER_LIBRARY}
	INCLUDE_DIRS ${SDLMIXER_INCLUDE_DIR}
)

=== protocols/quetzal/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED( VERSION 2.6 )
PROJECT( Quetzal )

find_package( PkgConfig )

if( PKG_CONFIG_FOUND )
	pkg_check_modules( PURPLE purple>=2.6.0 )
	include_directories( ${PURPLE_INCLUDE_DIRS} )
else( PKG_CONFIG_FOUND )
	set( PURPLE_INCLUDE_DIR "" CACHE PATH "Path to libpurple include dir" )
	set( PURPLE_LIBRARY "" CACHE FILEPATH "Filepath to libpurple library" )
	set( GLIB_INCLUDE_DIR "" CACHE PATH "Path to glib-2.0 include dir" )
	set( GLIBCONFIG_INCLUDE_DIR "" CACHE PATH "Path to glibconfig.h file for glib-2.0" )
	set( GLIB_LIBRARY "" CACHE FILEPATH "Filepath to glib-2.0 library" )
	if (PURPLE_INCLUDE_DIR AND PURPLE_LIBRARY AND GLIB_INCLUDE_DIR AND GLIBCONFIG_INCLUDE_DIR AND GLIB_LIBRARY)
		set(PURPLE_FOUND true)
	endif()
	include_directories( ${PURPLE_INCLUDE_DIR} ${GLIB_INCLUDE_DIR} ${GLIBCONFIG_INCLUDE_DIR} )
	list( APPEND PURPLE_LIBRARIES ${PURPLE_LIBRARY} ${GLIB_LIBRARY} )
endif( PKG_CONFIG_FOUND)

IF (NOT PURPLE_FOUND)
	message( "Libpurple not found. Can't build quetzal" )
	return()
ENDIF()

SET( QT_USE_QTNETWORK TRUE )
qutim_add_plugin( quetzal
	DISPLAY_NAME "Quetzal"
	DESCRIPTION "'Quetzal' is set of protocols, powered by libpurple"
	LINK_LIBRARIES "${PURPLE_LIBRARIES}"
	GROUP "Protocols"
)

=== plugins/win-integration/libs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project("WinThings")

add_subdirectory(apilayer)
add_subdirectory(qtwrapper)

=== core/src/corelayers/kineticscroller/CMakeLists.txt ===
FIND_PACKAGE( Qt4 COMPONENTS QtWebkit)

qutim_add_plugin( kineticscroller
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/kineticscroller.h
	EXTENSION_CLASS Core::KineticScroller
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Qt Kinetic scroller"
	DESCRIPTION "Kinetic scroller from upcoming Qt release"
	LINK_LIBRARIES ${QT_QTWEBKIT_LIBRARY}
	INCLUDE_DIRS ${QT_QTWEBKIT_INCLUDE_DIR}	
)

=== protocols/vkontakte/plugins/photoalbum/CMakeLists.txt ===
macro_ensure_version("4.7.0" "${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}.${QT_VERSION_PATCH}" QT_HAS_4_7 )
IF(NOT QT_HAS_4_7)
	message("Can't build Vkontakte photoalbum" )
	return()
ENDIF()

find_package( Qt4 COMPONENTS QtDeclarative QtOpenGL )

qutim_add_plugin( vphotoalbum
	SUBPLUGIN
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Vkontakte photoalbum support"
	DESCRIPTION "Vkontakte photoalbum support for qutIM, based on power of Qt Quick"
	LINK_LIBRARIES vkontakte ${QT_QTDECLARATIVE_LIBRARY} ${QT_QTOPENGL_LIBRARY}
)

QUTIM_ADD_ARTWORK(vphotoalbum)

=== debian/changelog ===
qutim (0.2.60-maemo-18) fremantle; urgency=low

  * Add HunSpeller support
  * Add Simple TextChat view
  * Add Maemo theme for webkit chat
  * Perfomance improvements
  * Add Metacontact manager
  * Many bugfixes

 -- Eugene Degtyarev <degtep@gmail.com>  Sun, 13 Feb 2011 21:00:10 +0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: user/network
 Priority: extra
 Maintainer: Eugene Degtyarev <degtep@gmail.com>
-Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev,libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-dev,libqca2-plugin-ossl,pidgin-dev,libidn11-dev
+Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev,libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-dev,libqca2-plugin-ossl,pidgin-dev,libidn11-dev,libhunspell-dev
 Standards-Version: 3.7.2
 
 Package: qutim
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},libidn11,libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-plugin-ossl
+Depends: ${shlibs:Depends}, ${misc:Depends},libidn11,libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-plugin-ossl, hunspell-en-ru
 Description: qutIM - is powerful instant messenger
  qutIM is crossplatform multiprotocol instant messengrer with module-based architecture. Protocols' support can be provided by several plugins, some of them are our own implementations of protocols, and some of them uses 3rd party libraries and technologies. Every plugin may be disabled through graphic interface.
  Supported protocols: Oscar(ICQ), Jabber, IRC, Vkontakte, Mail.ru(MRIM) and all pidgin protocols

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	cmake -DCMAKE_INSTALL_PREFIX="/opt/qutim" .
+	cmake -DCMAKE_INSTALL_PREFIX="/opt/qutim" -DWIN-INTEGRATION=false -DAESCRYPTO=false -DWEATHER=false -DSDLSOUND=false -DANTIBOSS=false -DKDE-INTEGRATION=false -DMAC-INTEGRATION=false -DASPELLER=false -DAWN=false -DANTISPAM=false -DLOGGER=false -DNOWPLAYING=false -DINDICATOR=false -DASTRAL=false -DCONTACTINFO=false -DSEARCHDIALOG=false -DPLISTCONFIG=false -DMULTIMEDIABACKEND=false -DQSOUNDBACKEND=false -DSOFTKEYSACTIONBOX=false -DTRAYICON=false -DMIGRATION02X03=false -DKINETICPOPUPS=false -DXSETTINGSDIALOG=false -DWITH_DOXYGEN=false -DTABBEDCHATFORM=false -DSYMBIANCHATFORM=false -DHISTMAN=false -DKINETICSCROLLER=false .
 	touch configure-stamp
